Bulk Upload Products

Allows uploading multiple Products. This is an upsert operation. *Note:* Currently, keys generated via the TaxCloud web app do not include the necessary scopes to interact with the Management API. To request access, [contact our support team](https://support.taxcloud.com/article/148-taxclouds-service-level-agreement).

Authentication

AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.

Path parameters

connectionIdstringRequired
represents the ID of a connection. It is used as a unique identifier for the connection

Request

This endpoint expects an object.
productslist of objectsRequired

Products to upload (upsert operation)

Response

Created
productslist of objects
$schemastringRead-onlyformat: "uri"
A URL to the JSON Schema for this object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error